> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# トランザクションに設定されている Skill Parameter を取得します。

> 渡された Parameter は、Skill の既定の Parameter よりも優先されます



## OpenAPI

````yaml /ja/openapi.json get /api/publicapi/v1/transactions/{transactionId}/skillParameters
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}/skillParameters:
    get:
      tags:
        - Transactions
      summary: トランザクションに設定されている Skill Parameter を取得します。
      description: 渡された Parameter は、Skill の既定の Parameter よりも優先されます
      operationId: GetTransactionSkillParameters
      parameters:
        - description: トランザクション識別子
          in: path
          name: transactionId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionSkillParameterDto
                type: array
            text/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionSkillParameterDto
                type: array
            text/plain:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionSkillParameterDto
                type: array
          description: Skill の Parameter は正常に返されました
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: 不正なリクエスト
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: アクセス拒否
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: トランザクションが見つかりません
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionSkillParameterDto:
      additionalProperties: false
      description: トランザクション Skill の Parameter
      properties:
        key:
          description: Parameter のキー（名称）
          nullable: true
          type: string
        type:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.SkillParameterType
        value:
          description: Parameter の値
          nullable: true
          type: string
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.SkillParameterType:
      enum:
        - String
        - Catalog
        - Bool
        - TenantConnection
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````